Delete License Key

Added in v1.0
DELETE https://api.example.com/api/keys/{id}
Requires authentication: x-api-key: YOUR_API_KEY

Deletes the desired license key and its logs. Returns the last license object before deletion.

Path parameters

  • key integer required
    The license key to delete as presented on the website.

Responses

  • 200OK
  • 400Not Found
Request
curl -X DELETE 'https://api.example.com/api/keys/{id}' \
  -H 'x-api-key: YOUR_API_KEY'
Response
OK
{
  "id": 1,
  "uuid": "123",
  "product": 456,
  "key": "0190a5f3-7c1e-7b2a-9d4e-3f8a6c1b2d90",
  "ip": "203.0.113.10",
  "status": true,
  "disabled": false,
  "locked": true,
  "lastSeen": 1790000000000
}